Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 728528

Summary: sys-auth/passwdqc-1.4.0 - pwqgen.c:(.text.startup+0x3e): undefined reference to `passwdqc_params_reset'
Product: Gentoo Linux Reporter: Andreas Fink <finkandreas>
Component: Current packagesAssignee: Mikle Kolyada <zlogene>
Status: RESOLVED FIXED    
Severity: normal CC: canarauc, holger
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Andreas Fink 2020-06-17 05:31:36 UTC
make -j4 --silent SHARED_LIBDIR=/usr/lib64 SECUREDIR=/lib64/security 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe ' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed' CC=x86_64-pc-linux-gnu-gcc LD=x86_64-pc-linux-gnu-gcc pam utils
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: pwqgen.o: in function `main':
pwqgen.c:(.text.startup+0x3e): undefined reference to `passwdqc_params_reset'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: pwqgen.c:(.text.startup+0x52): undefined reference to `passwdqc_params_parse'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: pwqgen.c:(.text.startup+0x163): undefined reference to `passwdqc_params_reset'
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:153: pwqgen] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [Makefile:107: utils] Error 2
make: *** Waiting for unfinished jobs....
 * ERROR: sys-auth/passwdqc-1.4.0::gentoo failed (compile phase):
 *   emake failed

This is a big problem because PAM update will fail half way through sys-libs/pam will be upgraded but sys-auth/pambase will be skipped in the update because of the new default USE flag +passwdqc. This will result in a state where any new login fails (~amd64).

Reproducible: Always

Steps to Reproduce:
1. emerge passwdqc
2.
3.
Comment 1 Andreas Fink 2020-06-17 05:32:33 UTC
Portage 2.3.101 (python 3.7.7-final-0, default/linux/amd64/17.1, gcc-10.1.0, glibc-2.31-r5, 5.7.2-gentoo x86_64)
=================================================================
System uname: Linux-5.7.2-gentoo-x86_64-Intel-R-_Core-TM-_i5-8250U_CPU_@_1.60GHz-with-gentoo-2.7
KiB Mem:    16310424 total,    975212 free
KiB Swap:    4194288 total,   4194284 free
Timestamp of repository gentoo: Wed, 17 Jun 2020 04:15:01 +0000
Head commit of repository gentoo: 0269a2a32e6ef3352dad30260f2efbc05b425e87
sh bash 5.0_p17
ld GNU ld (Gentoo 2.34 p4) 2.34.0
app-shells/bash:          5.0_p17::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18::gentoo, 3.7.7-r2::gentoo, 3.8.3::gentoo, 3.9.0_beta3::gentoo
dev-util/cmake:           3.17.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.2::gentoo
sys-devel/binutils:       2.34-r1::gentoo
sys-devel/gcc:            10.1.0-r1::gentoo
sys-devel/gcc-config:     2.3::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r5::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: --quiet
    sync-rsync-verify-jobs: 1

user_ebuilds
    location: /usr/local/portage
    masters: gentoo

Installed sets: @deps, @mega-deps, @programming-tools, @wireless-hotspot
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=x86-64 -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=x86-64 -mtune=generic -O2 -pipe"
DISTDIR="/home/portage/distdir/"
EMERGE_DEFAULT_OPTS="--jobs=2 --usepkg --oneshot --keep-going=y --buildpkg --buildpkg-exclude app-emulation/virtualbox-modules --buildpkg-exclude net-vpn/wireguard --buildpkg-exclude x11-drivers/nvidia-drivers --buildpkg-exclude sys-kernel/gentoo-sources --buildpkg-exclude net-wireless/rtlwifi-new"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles getbinpkg ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j4 --silent"
PKGDIR="/var/cache/binpkgs"
PORTAGE_BINHOST="https://www.vserverli.de/gentoo_packages/"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/home/portage/tmp"
USE="X acl acpi alsa amd64 berkdb bluray bzip2 cleartype cli corefonts crypt cups dbus dri dvb elogind fam fortran gdbm gif gnome-keyring gtk iconv ipv6 java jpeg jpeg2k kpathsea libtirpc lirc mmx mng multilib ncurses nls nptl opengl openmp pam pcre pdf png pulseaudio qt4 qt5 readline seccomp split-usr sse sse2 ssl startup-notification svg tcpd threads tiff truetype type1 unicode v4l vaapi vdpau vulkan xattr xcb xcomposite xinerama zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx sse sse2 mmxext" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="synaptics evdev" KERNEL="linux" L10N="de" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="X86 AMDGPU NVPTX" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" RUBY_TARGETS="ruby25" USERLAND="GNU" VIDEO_CARDS="intel i965 nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Andrew Udvare 2020-06-17 06:15:58 UTC
I am not getting this error. Tested multiple times.

Portage 2.3.101 (python 3.7.7-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-10.1.0, glibc-2.31-r5, 5.7.2-gentoo-limelight x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.7.2-gentoo-limelight-x86_64-Intel-R-_Core-TM-_i7-5930K_CPU_@_3.50GHz-with-gentoo-2.7
KiB Mem:    32748832 total,    595672 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Wed, 17 Jun 2020 05:05:23 +0000
Head commit of repository gentoo: bf574d086bc4024738ad209ec3c259cddaa085be

Head commit of repository 12101111-overlay: 82fcf6fc4c6f0d5421c065ccf95dc82a5ddb3966

Timestamp of repository atom: Sun, 14 Jun 2020 11:52:50 +0000
Head commit of repository atom: c3288bf2fc01075c1eef079e1e0f12dceafd6527

Head commit of repository tatsh-overlay: 201f800808367b8011e1e5ce67e35b13c254b6de

Timestamp of repository torbrowser: Sun, 14 Jun 2020 11:52:31 +0000
Head commit of repository torbrowser: 05c3b2fb48e447518038d2c9b1bbc30ee49ec4c0

sh bash 5.0_p17
ld GNU ld (Gentoo 2.34 p4) 2.34.0
app-shells/bash:          5.0_p17::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18::gentoo, 3.7.7-r2::gentoo, 3.8.3::gentoo, 3.9.0_beta3::gentoo
dev-util/cmake:           3.17.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.2::gentoo
sys-devel/binutils:       2.34-r1::gentoo
sys-devel/gcc:            10.1.0-r1::gentoo
sys-devel/gcc-config:     2.3::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r5::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000
    sync-git-verify-commit-signature: no

12101111-overlay
    location: /var/db/repos/hanpiaoyu
    sync-type: git
    sync-uri: https://github.com/12101111/overlay.git
    masters: gentoo
    sync-git-verify-commit-signature: no

atom
    location: /var/db/repos/atom
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/atom.git
    masters: gentoo

tatsh-overlay
    location: /var/db/repos/tatsh
    sync-type: git
    sync-uri: https://github.com/Tatsh/tatsh-overlay.git
    masters: gentoo
    sync-git-verify-commit-signature: no

torbrowser
    location: /var/db/repos/torbrowser
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/torbrowser.git
    masters: gentoo

Installed sets: @admin, @bashcomp, @bitcoin, @cc65, @cdr, @charles, @chrome, @clang, @cups, @docker, @exfat, @firefox, @fonts, @gimp, @git, @i3, @ibus, @java-ebuilder, @kde, @kernel, @libimobiledevice, @libreoffice, @media, @misc, @mlocate, @mupen64plus, @nim, @pass, @portage-utilities, @python, @rar, @shellcheck, @stepmania, @tmux, @vim, @virtualbox, @vlc, @vscode, @wine, @x11, @x11-misc, @xirvik-vpn
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -fomit-frame-pointer -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.6/conf /usr/share/sddm/scripts/Xsetup"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -fomit-frame-pointer -ggdb"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 10 --load-average 10 --with-bdeps=y --quiet-build=y --complete-graph --verbose-conflicts --exclude=cross-i686-pc-mingw32/*"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs clean-logs compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms splitdebug strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://gentoo.mirrors.pair.com/ rsync://mirrors.rit.edu/gentoo/ http://mirrors.rit.edu/gentoo/ rsync://gentoo.mirrors.tds.net/gentoo http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/"
LANG="en_GB.utf8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en_GB en"
MAKEOPTS="-j10 -l10"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacs acl acpi activities alsa amd64 avahi bash-completion berkdb bluetooth branding bzip2 cairo cdda cddb cdio cdr cjk clang cli crypt cups curl dbus declarative dri dts dv dvd dvdr emboss encode exif ffmpeg flac fluidsynth fortran gdbm gif gles gles2 gpm gsm gstreamer heif iconv icu idn ipv6 jemalloc jpeg kde kipi kwallet lcms libnotify libtirpc lm-sensors lto lzma mad man matroska mng mod modplug mp3 mp4 mpeg multilib ncurses nls nptl nvenc ogg opengl openmp opus pam pango pcre pdf pgo phonon plasma png policykit ppds pulseaudio qml qt5 readline samba scanner sdl seccomp semantic-desktop speex spell split-usr ssl startup-notification svg syslog system-av1 system-cairo system-electron system-ffmpeg system-harfbuzz system-heimdal system-icu system-jpeg system-jsoncpp system-libevent system-libvpx system-llvm system-lua system-ripgrep system-sqlite system-webp systemd taglib tcpd theora tiff truetype udev udisks unicode upower usb vcd vdpau vim-syntax vorbis vulkan wavpack webengine webp widgets wmf wxwidgets x264 xattr xcb xml xpm xv xvid zeroconf zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev joystick" KERNEL="linux" L10N="en-GB en ja ko zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python3_7 python3_8" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="nvidia v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sys-auth/passwdqc-1.4.0::gentoo was built with the following:
USE="" ABI_X86="(64)"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs clean-logs compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox keepwork merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms splitdebug strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
Comment 3 Cănărău Constantin 2020-06-17 06:38:56 UTC
I have 3 Gentoo systems and I encountered this error just on one of them. 
MAKEOPTS="-j1" solved the issue.
Comment 4 Andreas Fink 2020-06-17 06:48:11 UTC
Hm, manual compiling with
ebuild /usr/portage/sys-auth/passwdqc/passwdqc-1.4.0.ebuild compile
fails first, but issuing the same command again will result in a successful build (without cleaning in between)

Investigating it a little bit more, I can observer the following behaviour:
MAKEOPTS="-j4" emerge passwdqc 
fails frequently (with different error messages during linking). I would say on average it fails as often as it succeeds. Sometimes it succeeds multiple times in a row, and then it fails multiple times in a row. I couldn't find a pattern, when it fails, and when it succeeds/fails, it looks random to me.

MAKEOPTS="-j1" emerge passwdqc
succeeds consistently, at least I couldn't reproduce it with only one job.

Maybe we should restrict the build jobs to 1 for this package, as it builds quickly anyway.
Comment 5 Arve Barsnes 2020-06-17 08:06:00 UTC
It compiled without problems for me with MAKEOPTS="-j8", so there might be something else going on.
Comment 6 Daniel Rammelt 2020-06-17 08:28:56 UTC
Fails consistently with MAKEOPTS="-j16" on AMD 3700X

Compiles fine with MAKEOPTS="-j1"
Comment 7 Gordon Bosch 2020-06-17 10:24:53 UTC
can confirm
Comment 8 Cyril 2020-06-17 14:23:07 UTC
same here, rebuild without cleaning solves the problem
Comment 9 Larry the Git Cow gentoo-dev 2020-06-17 15:13:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb88dbf43313ace342542f886a736ebf4dd91c00

commit eb88dbf43313ace342542f886a736ebf4dd91c00
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-06-17 15:12:42 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-06-17 15:13:11 +0000

    sys-auth/passwdqc: force single threading
    
    Closes: https://bugs.gentoo.org/728528
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 sys-auth/passwdqc/passwdqc-1.4.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)